Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.gateway.remotestrategies
Interface RemoteFileSystemStrategy

All Known Implementing Classes:
  ReadOnlyRemoteFileSystemStrategy

    public interface RemoteFileSystemStrategy

A strategy for handling remote write operations.

Author:
  Daniel Bevenius

Method Summary
`boolean` | `deleteFile(java.io.File file)`
`void` | `destroy()` Clean upp anything that needs to be perforemed upon destruction.
`java.io.File[]` | `filterFileList(java.io.File[] files)` filters the file array passed in.
`java.io.File` | `getWorkFileName(java.io.File file, java.lang.String suffix)`
`void` | `init(java.lang.String configFile)` Initialize this RemoteFileSystemStrategy
`boolean` | `renameFile(java.io.File from, java.io.File to)`
`void` | `stop()` Stop of clean upp anything that needs to be perforemed upon shutdown.

Method Detail

### init

    void init(java.lang.String configFile)
              throws RemoteFileSystemStrategyException

  Initialize this RemoteFileSystemStrategy

  Parameters:
    `configFile` -
  Throws:
    `java.lang.Exception`
    `RemoteFileSystemStrategyException`

### filterFileList

    java.io.File[] filterFileList(java.io.File[] files)
                                  throws RemoteFileSystemStrategyException

  filters the file array passed in.

  Returns:
    File[] list of files that should worked on
  Throws:
    `GatewayException`
    `RemoteFileSystemStrategyException`

### deleteFile

    boolean deleteFile(java.io.File file)
                       throws RemoteFileSystemStrategyException

  Parameters:
    `file` - the file to delete
  Returns:
    true if the file was sucessfully deleted
  Throws:
    `GatewayException`
    `RemoteFileSystemStrategyException`

### renameFile

    boolean renameFile(java.io.File from,
                       java.io.File to)
                       throws RemoteFileSystemStrategyException

  Parameters:
    `from` - the file to rename
    `to` - the target file
  Returns:
    true if the file was sucessfully renamed
  Throws:
    `GatewayException`
    `RemoteFileSystemStrategyException`

### getWorkFileName

    java.io.File getWorkFileName(java.io.File file,
                                 java.lang.String suffix)

  Parameters:
    `file` - the current file the system is working on
    `suffix` - a suffix to append to the file.
  Returns:
    File either the file with the appended suffix or without.This depends on the implementation.

### stop

    void stop()

  Stop of clean upp anything that needs to be perforemed upon shutdown.

### destroy

    void destroy()

  Clean upp anything that needs to be perforemed upon destruction.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD